Index: trunk/include/FlairMeta/HdsX8.h
===================================================================
--- trunk/include/FlairMeta/HdsX8.h	(revision 14)
+++ trunk/include/FlairMeta/HdsX8.h	(revision 15)
@@ -5,5 +5,5 @@
 /*!
  * \file HdsX8.h
- * \brief Class defining an ardrone2 uav
+ * \brief Class defining a HDS X8 uav
  * \author Guillaume Sanahuja, Copyright Heudiasyc UMR UTC/CNRS 7253
  * \date 2016/02/08
@@ -20,5 +20,5 @@
 /*! \class HdsX8
 *
-* \brief Class defining an ardrone2 uav
+* \brief Class defining a HDS X8 uav
 */
 class HdsX8 : public Uav {
Index: trunk/include/FlairMeta/SimuX4.h
===================================================================
--- trunk/include/FlairMeta/SimuX4.h	(revision 14)
+++ trunk/include/FlairMeta/SimuX4.h	(revision 15)
@@ -5,5 +5,5 @@
 /*!
  * \file SimuX4.h
- * \brief Class defining a simultation x4 uav
+ * \brief Class defining a simulation x4 uav
  * \author Guillaume Sanahuja, Copyright Heudiasyc UMR UTC/CNRS 7253
  * \date 2016/02/08
@@ -20,5 +20,5 @@
 /*! \class SimuX4
 *
-* \brief Class defining a simultation x4 uav
+* \brief Class defining a simulation x4 uav
 */
 class SimuX4 : public Uav {
Index: trunk/include/FlairMeta/SimuX8.h
===================================================================
--- trunk/include/FlairMeta/SimuX8.h	(revision 14)
+++ trunk/include/FlairMeta/SimuX8.h	(revision 15)
@@ -5,5 +5,5 @@
 /*!
  * \file SimuX8.h
- * \brief Class defining a simultation x8 uav
+ * \brief Class defining a simulation x8 uav
  * \author Guillaume Sanahuja, Copyright Heudiasyc UMR UTC/CNRS 7253
  * \date 2016/02/08
@@ -20,5 +20,5 @@
 /*! \class SimuX8
 *
-* \brief Class defining a simultation x8 uav
+* \brief Class defining a simulation x8 uav
 */
 class SimuX8 : public Uav {
Index: trunk/include/FlairMeta/XAir.h
===================================================================
--- trunk/include/FlairMeta/XAir.h	(revision 14)
+++ trunk/include/FlairMeta/XAir.h	(revision 15)
@@ -20,5 +20,5 @@
 /*! \class XAir
 *
-* \brief Class defining an ardrone2 uav
+* \brief Class defining a xair uav
 */
 class XAir : public Uav {
Index: trunk/scripts/flair_compile_all.sh
===================================================================
--- trunk/scripts/flair_compile_all.sh	(revision 14)
+++ trunk/scripts/flair_compile_all.sh	(revision 15)
@@ -152,6 +152,5 @@
 
 if [ "$answer" = "" ] || [ "$answer" = "y" ] || [ "$answer" = "Y" ]; then
-	cd $FLAIR_ROOT/flair-src/lib
-	doxygen Doxyfile.in
+	doxygen $FLAIR_ROOT/flair-src/lib/Doxyfile.in
 fi
 
